# Window actions for client side paging

This addon allows a developer to return the following action types:

    {'type': 'ir.actions.act_window.page.next'}

or:

    {'type': 'ir.actions.act_window.page.prev'}

which trigger the form’s controller to page into the requested direction on the client side.

A use case could be the case of a validation flow. As a developer, you set up a tree view with a domain on records to be validated. The user opens the first record in a form view and validates the record. The validation method returns the ‘next’ action type so that the browser window of the user is presented with the next record in the form view.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

See the ‘Previous Partner’ and ‘Next Partner’ buttons that this module’s demo data adds to the partner form view.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Hunki Enterprises BV
- Therp BV

## Contributors

- Holger Brunn <mail@hunki-enterprises.com> (https://hunki-enterprises.com)
- Stefan Rijnhart <stefan@opener.amsterdam> (https://opener.amsterdam)

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.